Bug 71217 - PDF import incorrect on specific files
Summary: PDF import incorrect on specific files
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.1.3.2 release
Hardware: Other All
: medium normal
Assignee: vvort
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-04 12:38 UTC by Winfried Donkers
Modified: 2014-05-04 09:08 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
sample of PDF-file which opens incorrectly. (23.26 KB, application/pdf)
2013-11-04 12:38 UTC, Winfried Donkers
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Winfried Donkers 2013-11-04 12:38:12 UTC
Created attachment 88605 [details]
sample of PDF-file which opens incorrectly.

When importing PDF files created by our ERP-application in draw, the contents are not (all) shown in draw which makes editing useless.

The PDF-files open fine with PDF-readers, so I guess something is not quite right with Libreoffice.
Comment 1 m.a.riosv 2013-11-05 00:42:40 UTC
Verifying in:
http://www.pdf-tools.com/pdf/validate-pdfa-online.aspx
doesn't seem to be a valid pdf file.
Opening the file with Adobe reader 10.1.8 and saved, the new file opens fine in draw except the graphics.
Comment 2 Winfried Donkers 2013-11-05 06:35:19 UTC
(In reply to comment #1)
> Verifying in:
> http://www.pdf-tools.com/pdf/validate-pdfa-online.aspx
> doesn't seem to be a valid pdf file.
> Opening the file with Adobe reader 10.1.8 and saved, the new file opens fine
> in draw except the graphics.

Thank you for the validator link, should have done more verification on the PDF before having doubts about LibreOffice ;)
Closing this bug report.
Comment 3 Winfried Donkers 2013-11-07 09:17:58 UTC
Reopening bug report:

The attached PDF file is a PDF1.5 file, not a PDF/A file, and the online test in comment 1 tests PDF/A only.
I validated the file offline (evaluation version from pdf-tools.com) and got no warnings, so I guess the PDF file valid after all.
Comment 4 Winfried Donkers 2013-11-07 09:23:22 UTC
(In reply to comment #1)
> Opening the file with Adobe reader 10.1.8 and saved, the new file opens fine
> in draw except the graphics.

The file opens fine in Foxit PDF-reader and in Acrobat Reader 11.0.0, but not in Draw.
Comment 5 m.a.riosv 2013-11-07 16:43:39 UTC
Hi Winfried, I am not able to find what pdf versions are supported.

What is strange is that open with Adobe and save, lets open with Draw.

Reproducible:
Win7x64Ultimate
Version 4.0.6.2 (Build ID: 2e2573268451a50806fcd60ae2d9fe01dd0ce24)
Version: 4.2.0.0.alpha0+ Build ID: df21d317dacc4533ac999f3c3088765393842676
Comment 6 vvort 2014-04-22 08:07:54 UTC
Fixed here:
https://gerrit.libreoffice.org/9120
Comment 7 Commit Notification 2014-04-22 16:08:58 UTC
Vort committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f61cdf6fa8c3ceb5435fadbe469fa55883c8b31f

fdo#71217 PDF Import: Fix importing of JPEG images



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Adolfo Jayme 2014-04-23 03:11:42 UTC
Assuming the above commit is all that’s needed to fix this, closing.

P.S.: It’s be nice to have this backported ;-)
Comment 9 m.a.riosv 2014-05-04 02:17:13 UTC
Verified with:
Win7x64Ultimate
Version: 4.3.0.0.alpha1+ Build ID: 20778b037c688759a4dc46acb8aeb66c9d1290cc
   TinderBox: Win-x86@39, Branch:master, Time: 2014-05-03_23:16:12

As Adolfo has commented, would be nice to see it backported.